Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 974085 - Error updating component details via RPC
Error updating component details via RPC
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 07:56 EDT by Lubos Kocman
Modified: 2014-10-12 18:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4-3.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 20:13:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Kocman 2013-06-13 07:56:56 EDT
Description of problem:

I'm getting weird error while trying to update qa contact trough Component.update()

Bugzilla::User::new_from_list does not sound much relevant to what I'm doing:-) 

xmlrpclib.Fault: <Fault 52: 'Invalid parameter passed to Bugzilla::User::new_from_list: It must be numeric.'>



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. bz_session.Component.update({'names' : [{'product' : 'Red Hat Enterprise Linux 7', 'component' : 'grilo-plugins'},],
 'updates' : {'default_qa_contact': 'desktop-qa-list@redhat.com'}}) 

Actual results:

xmlrpclib.Fault: <Fault 52: 'Invalid parameter passed to Bugzilla::User::new_from_list: It must be numeric.'>

Expected results:

Something like {'default_qa_contact': 'desktop-qa-list@redhat.com'}


Additional info:
Comment 2 Simon Green 2013-06-21 00:24:41 EDT
For the record, this happens when the value you are changing is currently unset. Despite the error, the change is still committed.
Comment 3 Lubos Kocman 2013-06-21 06:29:49 EDT
Hello Simon,

yeah I figured out that the changes was commited. Workaround was to change it bug by bug and continue in case that exception was raised :-)

Thanks for having a look at it.

Lubos
Comment 4 Simon Green 2013-06-24 20:13:12 EDT
This should now be fixed.

Note You need to log in before you can comment on or make changes to this bug.